#!/usr/bin/perl

# Build up an index

use strict;
use Data::Dumper;


my $content;
my $file;
my $outputfile;
my @files;
my @file_content;
my $line;
my $lines;

# check for command-line argument
die "Usage: .pl (<output.htm> <filelist>)\n" unless @ARGV >1;

# get the command-line argument
my $arg = shift;

$outputfile=$arg;
@files=@ARGV;

# print Data::Dumper->Dump([@files]);

die "File $outputfile already exists!\n" if -e $outputfile;


open(OUT, "> $outputfile ") or die("Couldn't open $outputfile \n") ;

print OUT <<HTML;
<html>
<head>
<title>Index</title>
</head>
<body>
<b>RSS Index</b><br>

HTML

foreach $file (@files){
	print OUT "<a href=\"$file\">$file</a> <br>\n";
}

print OUT <<HTML;
</body>
</html>
HTML
close(OUT);


# now to doctor each of the outfiles so it points at the right place

foreach $file (@files){
	print $file."\n" ;
	open (INFILE,"<$file");
 	@file_content=<INFILE>;
	close (INFILE);
	print Data::Dumper->Dump([@file_content]);
	open (OUTFILE, ">$file");
	foreach $line (@file_content){
		print OUTFILE $line;
		if($line=~/\<body\>/i){
			print OUTFILE "<a href=\"outfile.html\">index</a> | ";
			for $file (@files){
				print OUTFILE "<a href=\"$file\">$file</a> | ";
			}
		}
	}
	close(OUTFILE);	
}
