#!/bin/bash
rss_feeds=( http://www.slashdot.org/slashdot.rss http://newsrss.bbc.co.uk/rss/newsonline_uk_edition/world/rss.xml http://newsrss.bbc.co.uk/rss/newsonline_uk_edition/uk/rss.xml http://www.rss-scout.de/redirect.php?ID=ad58ff299ae14da719a16d8b1da46b88 )

# for url in ${rss_feeds[@]}

for (( i = 0 ; i < ${#rss_feeds[@]} ; i++ )) 
do 
./rss2pqa.pl ${rss_feeds[$i]} > ./temp/$i.htm 
echo "Have done feed number $i "
done
# build up index, link each file to the next file


# got to cd temp... PQAcompile can't handle not being in the dir it's pointed at
cd temp
rm output.html
./makeindex.pl output.html *.htm
PQAcompile RSSFeeds.pqa 0.1 "RSS Today" output.html *.htm 
